Name:           perl-Locale-US
Version:        1.2
Release:        2%{?dist}
Summary:        Two letter codes for state identification in the United States and vice versa
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Locale-US/
Source0:        http://www.cpan.org/authors/id/T/TB/TBONE/Locale-US-%{version}.tar.gz
# https://rt.cpan.org/Public/Bug/Display.html?id=56989
Patch0:         locale_us.patch
# https://rt.cpan.org/Public/Bug/Display.html?id=62218
Patch1:         spelling.patch
BuildArch:      noarch
BuildRequires:  perl(ExtUtils::MakeMaker)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%{?perl_default_filter}

%description
Map from US two-letter codes to states and vice versa.

%prep
%setup -q -n Locale-US-%{version}
%patch0 -p1
%patch1 -p1

# doesn't actually use Data::Dumper
sed -i -e '/use Data::Dumper/d' US.pm

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install DESTDIR=%{buildroot}

find %{buildroot} -type f -name kruft2codes.pl -exec rm -f {} \;
find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} %{buildroot}/*

%check
make test

%files
%defattr(-,root,root,-)
%doc Changes README kruft2codes.pl
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Tue Mar 22 2011 Iain Arnell <iarnell@gmail.com> 1.2-2
- fix spelling in pod (rt#62218)
- install kruft2codes.pl as doc

* Thu Jan 27 2011 Iain Arnell <iarnell@gmail.com> 1.2-1
- Specfile autogenerated by cpanspec 1.78.
